"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTranslate = void 0;
const react_1 = require("@tolgee/react");
const useTranslate = () => {
    const { t: tT } = (0, react_1.useTolgee)();
    return {
        t: (path) => {
            let [ns, keyName] = path.split(/\.([^.]*)$/);
            if (!keyName) {
                ns = undefined;
                keyName = ns;
            }
            return tT(keyName, `${ns !== null && ns !== void 0 ? ns : ''}.${keyName}`, { ns });
        },
    };
};
exports.useTranslate = useTranslate;
